tosca_definitions_version: tosca_simple_yaml_1.2
description: TOSCA simple profile with wordpress and mysql.
topology_template:
node_templates:
wordpress: 
type: tosca.nodes.WebApplication.WordPress
properties:
port: 8080:80
requirements:
- database_endpoint: mysql
- host:app-server1
interfaces:
Standard:
Create: 
implementation:
primary: Scripts/WordPress/install.sh
mysql:
type: tosca.nodes.Container.Application.Docker
properties:
port: 3306
mysqlimage:
file: mysql:8.0
type: tosca.artifacts.Deployment.Image.Container.Docker
repository: docker_hub
requirements:
- host: app-server2
interfaces:
Standard:
configure:
implementation: 
primary: mysqlimage
app-server1: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.
app-server2: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04
app-server3: 
type: tosca.nodes.Compute
capabilities:
host:
properties:
disk_size: 10 GB
num_cpus: 2
mem_size: 8 GB
OS:
properties:
architecture: x86_64
type: Linux
distribution: ubuntu
version: 12.04